aboutsummaryrefslogtreecommitdiffstats
path: root/bruiser/autogen/wasm/ltg.sh
diff options
context:
space:
mode:
authorbloodstalker <thabogre@gmail.com>2018-09-10 14:01:59 +0000
committerbloodstalker <thabogre@gmail.com>2018-09-10 14:01:59 +0000
commit69360b15987798dfbffbc4c5688d1a8108945ff1 (patch)
tree8b69055cf9ca8b90c1cc47be9f63ac4a82d54d07 /bruiser/autogen/wasm/ltg.sh
parentjmp_t_s now uses the new way of registering tables, the 5.3 way. bruiser is s... (diff)
downloadmutator-69360b15987798dfbffbc4c5688d1a8108945ff1.tar.gz
mutator-69360b15987798dfbffbc4c5688d1a8108945ff1.zip
begenning to integrate and test both the codegens. run git pull for faultreiber and tablegen.
Diffstat (limited to '')
-rwxr-xr-xbruiser/autogen/wasm/ltg.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/bruiser/autogen/wasm/ltg.sh b/bruiser/autogen/wasm/ltg.sh
new file mode 100755
index 0000000..94f052b
--- /dev/null
+++ b/bruiser/autogen/wasm/ltg.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/bash
+cd $(dirname $0)
+"../../tablegen/luatablegen.py" --out ./ltg/ --luaheader ../../../lua-5.3.4/src --headeraggr ./ltg/wasm_tables.h --lualibpath ./ltg/wasm.lua --docpath ./ltg/wasm.md --xml ./ltg/wasm.xml --tbldefs ./ltg/
+clang-format ./ltg/*.c ./ltg/*.h -i
+for filename in ./ltg/*.c; do
+ gcc -c $filename > /dev/null 2>&1
+ if [[ $? != 0 ]]; then
+ echo $filename did not compile.
+ fi
+done
+rm *.o